/* eslint-env mocha */
require('@cypress/code-coverage/support');
/** Initialize an empty document with root element */
function renderTestingPlatform() {
    var document = cy.state('document');
    var el = document.getElementById('cypress-jsdom');
    if (el) {
        // clean the element before each test
        while (el.hasChildNodes()) {
            el.removeChild(el.lastChild);
        }
        return;
    }
    var rootNode = document.createElement('div');
    rootNode.setAttribute('id', 'cypress-jsdom');
    document.getElementsByTagName('body')[0].prepend(rootNode);
    return cy.get('#cypress-jsdom', { log: false });
}
beforeEach(function () {
    renderTestingPlatform();
});
